/****************************************************************************

         #####   #####  #     #       #  #####   #####    ###
        #     # #     # ##    #      #  #     # #     #    #
        #       #       # #   #     #   #       #          #
        #       #       #  #  #    #    #        #####     #
        #       #       #   # #   #     #             #    #
        #     # #     # #    ##  #      #     # #     #    #
         #####   #####  #     # #        #####   #####    ###

****************************************************************************/
/*
* @PROJECT  CCN/CSI
* @SYSTEM   APACHE
* @PACKAGE  HTTP2CSI
*
* @FILE     http2csi_prmes.h
*
* @ABSTRACT
* Apache Http2csi module PRivate CONstants definitions.
*
* This file contains:
* The definitions of the internal constants used in the Apache
* Http2csi module.
*
* @INCLUDE

#ifndef _HTTP2CSI_PRMES_H_
#define _HTTP2CSI_PRMES_H_


/* "error" and "security error" */
/* EVR_UNDETERMINATE */
/* EVR_CRITICAL      */


#define H2C_MSG_INSUFICIENT_MEMORY \
EVR_SET_CODE(EVR_HTTP2CSI_COMPONENT, EVR_CRITICAL, EVR_UNDEFINED, 1)
EVR_SET_STRING(H2C_MSG_INSUFICIENT_MEMORY,
   "CRITICAL ERROR: Insuficient memory in %s line %ld")


/* EVR_MAJOR         */
/* EVR_MINOR         */
/* EVR_WARNING       */

#define H2C_MSG_SETUP_CLIENT_BLOCK \
EVR_SET_CODE(EVR_HTTP2CSI_COMPONENT, EVR_WARNING, EVR_UNDEFINED, 1)
EVR_SET_STRING(H2C_MSG_SETUP_CLIENT_BLOCK,
   "WARNING: ap_setup_client_block returns <%ls>")

#define H2C_MSG_SHOULD_CLIENT_BLOCK \
EVR_SET_CODE(EVR_HTTP2CSI_COMPONENT, EVR_WARNING, EVR_UNDEFINED, 2)
EVR_SET_STRING(H2C_MSG_SHOULD_CLIENT_BLOCK,
   "WARNING: NOT ap_should_client_block")

#define H2C_MSG_ATTR_MANDATORY \
EVR_SET_CODE(EVR_HTTP2CSI_COMPONENT, EVR_WARNING, EVR_UNDEFINED, 3)
EVR_SET_STRING(H2C_MSG_ATTR_MANDATORY,
   "WARNING: attribute <%s> mandatory for element <%s>")

#define H2C_MSG_DUPLICATE_ELEMENT \
EVR_SET_CODE(EVR_HTTP2CSI_COMPONENT, EVR_WARNING, EVR_UNDEFINED, 4)
EVR_SET_STRING(H2C_MSG_DUPLICATE_ELEMENT,
   "WARNING: element <%s> defined %d times")

#define H2C_MSG_ATTR_VALUE \
EVR_SET_CODE(EVR_HTTP2CSI_COMPONENT, EVR_WARNING, EVR_UNDEFINED, 5)
EVR_SET_STRING(H2C_MSG_ATTR_VALUE,
   "WARNING: value not allowed for attribute <%s> in element <%s> : <%s>")

#define H2C_MSG_INVALID_SERVICE \
EVR_SET_CODE(EVR_HTTP2CSI_COMPONENT, EVR_WARNING, EVR_UNDEFINED, 6)
EVR_SET_STRING(H2C_MSG_INVALID_SERVICE,
   "WARNING: attribute \"service\" <%s> not compliant with URI app <%s>")

#define H2C_MSG_INVALID_ATTRIBUTE \
EVR_SET_CODE(EVR_HTTP2CSI_COMPONENT, EVR_WARNING, EVR_UNDEFINED, 7)
EVR_SET_STRING(H2C_MSG_INVALID_ATTRIBUTE,
   "WARNING: invalid attribute for element <%s> : <%s>")

#define H2C_MSG_INVALID_ELEMENT \
EVR_SET_CODE(EVR_HTTP2CSI_COMPONENT, EVR_WARNING, EVR_UNDEFINED, 8)
EVR_SET_STRING(H2C_MSG_INVALID_ELEMENT,
   "WARNING: invalid element <%s> at depth <%ld>")

#define H2C_MSG_XML_PARSE \
EVR_SET_CODE(EVR_HTTP2CSI_COMPONENT, EVR_WARNING, EVR_UNDEFINED, 9)
EVR_SET_STRING(H2C_MSG_XML_PARSE,
   "WARNING: XML_Parse error <%s> at line <%ld>")

#define H2C_MSG_URI_PARSE \
EVR_SET_CODE(EVR_HTTP2CSI_COMPONENT, EVR_WARNING, EVR_UNDEFINED, 10)
EVR_SET_STRING(H2C_MSG_URI_PARSE,
   "WARNING: error detected parsing URI")

#define H2C_MSG_INVALID_ACTION \
EVR_SET_CODE(EVR_HTTP2CSI_COMPONENT, EVR_WARNING, EVR_UNDEFINED, 11)
EVR_SET_STRING(H2C_MSG_INVALID_ACTION,
   "WARNING: invalid action <%s> for req <%s>")

#define H2C_MSG_INVALID_REQ \
EVR_SET_CODE(EVR_HTTP2CSI_COMPONENT, EVR_WARNING, EVR_UNDEFINED, 12)
EVR_SET_STRING(H2C_MSG_INVALID_REQ,
   "WARNING: invalid req <%s>")

#define H2C_MSG_INVALID_MODE \
EVR_SET_CODE(EVR_HTTP2CSI_COMPONENT, EVR_WARNING, EVR_UNDEFINED, 13)
EVR_SET_STRING(H2C_MSG_INVALID_MODE,
   "WARNING: invalid mode <%s>")


/* EVR_USERERROR     */


/* "trace" and "security trace" */
/* EVR_SYSTEM        */
/* EVR_PROCESS       */
/* EVR_COMPONENT     */
/* EVR_DEBUG         */

#define H2C_MSG_DEBUG_LABEL \
EVR_SET_CODE(EVR_HTTP2CSI_COMPONENT, EVR_DEBUG, EVR_UNDEFINED, 1)
EVR_SET_STRING(H2C_MSG_DEBUG_LABEL,
   "DEBUG TRACE: %s")

/* EVR_LLV_DEBUG     */
/* EVR_LLF_DEBUG     */
/* EVR_DEBUG_LEVEL_7 */
/* EVR_DEBUG_LEVEL_8 */
/* EVR_DEBUG_LEVEL_9 */

#endif /* _HTTP2CSI_PRMES_H_ */

