/****************************************************************************

         #####   #####  #     #       #  #####   #####    ###
        #     # #     # ##    #      #  #     # #     #    #
        #       #       # #   #     #   #       #          #
        #       #       #  #  #    #    #        #####     #
        #       #       #   # #   #     #             #    #
        #     # #     # #    ##  #      #     # #     #    #
         #####   #####  #     # #        #####   #####    ###

****************************************************************************/
/*
* @PROJECT  CCN/CSI
* @SYSTEM   APACHE
* @PACKAGE  HTTP2CSI
*
* @FILE     http2csi_prtyp.h
*
* @ABSTRACT
* Apache Http2csi module PRivate CONstants definitions.
*
* This file contains:
* The definitions of the internal constants used in the Apache
* Http2csi module.
*
* @INCLUDE


#ifndef _HTTP2CSI_PRTYP_H_
#define _HTTP2CSI_PRTYP_H_

typedef struct HTTP2CSIAPPDCONTEXTtag {
    long        lRequestTimeoutDefault;       /* CSI Request default timeout */
    long        lRequestTimeoutMin;           /* CSI Request minimum timeout */
    long        lRequestTimeoutMax;           /* CSI Request maximum timeout */
    long        lAdminRequestTimeout;         /* Admin Request timeout       */
    long        lAdminRequestExpiry;          /* Admin Request expiry        */
} HTTP2CSIAPPDCONTEXT;

typedef struct HTTP2CSICONTEXTtag {
    const       char *szArgReq;
    const       char *szArgAction;
    const       char *szArgNbserver;
    char        *szApp;
    const       char *szMode;
    char        *szSectionName;
    char        *szMessage;
    long        lTimeout;
    long        lExpiry;
    char        *buffer;
    long        lBufferLength;
    long        lCntElemCsiRequest;
    long        lCntElemCsiCallReq;
    long        lCntElemAdminService;
    char        *AdmXmlnsCcncsi;
    char        *AdmCommand;
    char        *AdmNbserver;
    char        *ReqXmlnsCcncsi;
    char        *ReqName;
    char        *CallService;
    char        *CallMsgtype;
    char        *CallHostformat;
    char        *CallCodepage;
    char        *CallTimeout;
    char        *CallEncoding;
    MQHCONN     hQMgr;                       /* Queue Manager Connection   */
    pool        *ChildPool;                  /* Pointer to the Child memory pool */
    table       *ptQueueObj;                 /* table of Queue Object      */
    MQHOBJ      *psReqQueueObj;              /* Request Queue Object       */
    MQHOBJ      *psRespQueueObj;             /* Response Queue Object      */
    char        *szReqQueueName;             /* Request Queue Name         */
    char        *szRespQueueName;            /* Response Queue Name        */
    char        *szReqRptQueueName;          /* Request Report Queue Name  */
    char        *szRespRptQueueName;         /* Response Report Queue Name */
    CSICHAR48   szUniqueId;                  /* Request unique id          */
    MQBYTE24    szMsgId;                     /* Request/Response MsgId     */
    MQBYTE24    szCorrelId;                  /* Request/Response CorrelId  */
    table       *ptAppdContext;              /* table of APPD context      */
    HTTP2CSIAPPDCONTEXT *psAppdContext;      /* Current APPD context       */
    CSICHAR256  szConfFileName;              /* Configuration file name    */
    long        lRequestTimeoutDefault;      /* CSI Request default timeout */
    long        lRequestTimeoutMin;          /* CSI Request minimum timeout */
    long        lRequestTimeoutMax;          /* CSI Request maximum timeout */
    long        lAdminRequestTimeout;        /* Admin Request timeout       */
    long        lAdminRequestExpiry;         /* Admin Request expiry        */
} HTTP2CSICONTEXT;

typedef struct {
    long lReturnCode;
    long lDepth;
    request_rec *r;
} EXPAT_DATA;

#endif /* _HTTP2CSI_PRTYP_H_ */

