/****************************************************************************

         #####   #####  #     #       #  #####   #####    ###
        #     # #     # ##    #      #  #     # #     #    #
        #       #       # #   #     #   #       #          #
        #       #       #  #  #    #    #        #####     #
        #       #       #   # #   #     #             #    #
        #     # #     # #    ##  #      #     # #     #    #
         #####   #####  #     # #        #####   #####    ###

****************************************************************************/
/*
* @PROJECT  CCN/CSI
* @SYSTEM   APACHE
* @PACKAGE  SERVER-STATUS
*
* @FILE     server-status_upcon.h
*
* @ABSTRACT
* Apache CCN Server Status  handler
*
* This file contains:
*
* @INCLUDE

#ifndef _SERVER_STATUS_XML_UPCON_H_
#define _SERVER_STATUS_XML_UPCON_H_

#define XML_HEADER "<?xml version=\"1.0\"?>"

#define XML_CCN_STATUS_TAG  "ccncsi:CCN_HTTPD_SERVER_STATUS"
#define XML_STATUS_TAG      "ccncsi:HTTPD_SERVER_STATUS"
#define XML_CONFIG_TAG      "ccncsi:HTTPD_CONFIG_STATUS"
#define XML_CHILDREN_TAG    "ccncsi:HTTPD_CHILDREN_STATUS"
#define XML_CHILDOCC_TAG    "CHILDOCC"

#define XML_XMLNS_ATTR   "xmlns:ccncsi"
#define XML_XMLNS_VALUE  "http://www.ccncsi.net/schema"

#define XML_RETURN_CODE_ATTR "return_code"

#define XML_NAME_ATTR   "name"
#define XML_NAME_STATUS "HTTPD_SERVER_STATUS"

#define XML_STATUS_TOTACCESS   "TotalAccesses"
#define XML_STATUS_TOTKBYTES   "TotalkBytes"
#define XML_STATUS_CPULOAD     "CPULoad"
#define XML_STATUS_UPTIME      "Uptime"
#define XML_STATUS_REQPERSEC   "ReqPerSec"
#define XML_STATUS_BYTPERSEC   "BytesPerSec"
#define XML_STATUS_BYTPERREC   "BytesPerReq"
#define XML_STATUS_BUSYSERVERS "BusyServers"
#define XML_STATUS_IDLESERVERS "IdleServers"

#define XML_CONFIG_STARTSERVERS "StartServers"
#define XML_CONFIG_MAXKPALIVREQ "MaxKeepAliveRequests"
#define XML_CONFIG_MINSPARSRV   "MinSpareServers"
#define XML_CONFIG_MAXSPARSRV   "MaxSpareServers"
#define XML_CONFIG_MAXCLIENT    "MaxClient"
#define XML_CONFIG_MAXREQPCHILD "MaxRequestPerChild"

#define XML_CHILD_STATUS    "Status"
#define XML_CHILD_PID       "Pid"
#define XML_CHILD_MYBYTES   "MyBytes"
#define XML_CHILD_BYTES     "Bytes"


#endif /* _SERVER_STATUS_XML_UPCON_H_ */
