/****************************************************************************

         #####   #####  #     #       #  #####   #####    ###
        #     # #     # ##    #      #  #     # #     #    #
        #       #       # #   #     #   #       #          #
        #       #       #  #  #    #    #        #####     #
        #       #       #   # #   #     #             #    #
        #     # #     # #    ##  #      #     # #     #    #
         #####   #####  #     # #        #####   #####    ###

****************************************************************************/
/*
* @PROJECT  CCN/CSI
* @SYSTEM   APACHE
* @PACKAGE  GEN_PROXY
*
* @FILE     gen_proxy_prmes.h

* @ABSTRACT
* Apache Ticket module PRivate MESsages definitions.
*
* This file contains:
* The TRACE and ERRORS messages definitions.
*
* @INCLUDE

#ifndef _GEN_PROXY_PRMES_H
#define _GEN_PROXY_PRMES_H

#include "evr_upmac.h"

/*
* @MACRODEF APACHE_MSG_CDX_ERROR
* An error occured during a cdx verb call
* Severity = Critical
* Current value = "ERROR: The CDX library %s verb failed with ReasonCode %d"
*/
#define APACHE_MSG_CDX_FAILED \
   "ERROR: The CDX library %s verb failed with ReasonCode %d"

#define APACHE_MSG_CDX_ERROR \
EVR_SET_CODE(EVR_APACHE_COMPONENT, EVR_UNDEFINED, EVR_CRITICAL, 1)
EVR_SET_STRING(APACHE_MSG_CDX_ERROR,
   APACHE_MSG_CDX_FAILED)

/*
* @MACRODEF APACHE_MSG_CDX_PARAM_ERROR
* An error occured during a cdx verb call
* Severity = Critical
* Current value = "ERROR: The CDX library %s verb failed with ReasonCode %d, params %s"
*/
#define APACHE_MSG_CDX_PARAM_FAILED \
   "ERROR: The CDX library %s verb failed with ReasonCode %d, %s"

#define APACHE_MSG_CDX_PARAM_ERROR \
EVR_SET_CODE(EVR_APACHE_COMPONENT, EVR_UNDEFINED, EVR_CRITICAL, 2)
EVR_SET_STRING(APACHE_MSG_CDX_PARAM_ERROR,
   APACHE_MSG_CDX_PARAM_FAILED)
/*
* @MACRODEF APACHE_WRONG_REGULAR_EXPR
* A wrong regular expression is used in the webhost entry
* Severity = Critical
* Current value = "ERROR: The CDX library %s verb failed with ReasonCode %d"
*/
#define APACHE_MSG_WRONG_REGULAR_EXPR \
   "ERROR: Invalid Regular expression used in the Webhost entry %s"

#define APACHE_WRONG_REGULAR_EXPR \
EVR_SET_CODE(EVR_APACHE_COMPONENT, EVR_UNDEFINED, EVR_CRITICAL, 3)
EVR_SET_STRING(APACHE_WRONG_REGULAR_EXPR,
   APACHE_MSG_WRONG_REGULAR_EXPR)

#endif
